# Git_Help

Git的相关操作帮助文档


# 相关命令
## Clone命令

`$ git clone 地址 clone某个git仓库`

## 回退命令：

```
$ git reset --hard HEAD^ 回退到上个版本

$ git reset --hard HEAD~3 回退到前3次提交之前，以此类推，回退到n次提交之前

$ git reset --hard commit_id 退到/进到 指定commit的sha码
```

## 强推到远程：

`$ git push origin HEAD --force`

## 从命令行创建一个新的仓库

```
touch README.md

git init

git add README.md

git commit -m "first commit"

git remote add origin http://maxdoc.top:3000/lijuanfei/HoneyWell1900GHDSCAN.git

git push -u origin master
```

## 从命令行推送已经创建的仓库

```
git remote add origin http://maxdoc.top:3000/lijuanfei/HoneyWell1900GHDSCAN.git

git push -u origin master
```


## 用远程文件覆盖本地

```
git fetch --all

git reset --hard origin/master

git pull
```
